## WDS Get Current Data Bearer Technology request WDS Get Current Data Bearer Technology request |

## Functions

QmiMessageWdsGetCurrentDataBearerTechnologyOutput * | qmi_message_wds_get_current_data_bearer_technology_output_ref ()
void | qmi_message_wds_get_current_data_bearer_technology_output_unref ()
gboolean | qmi_message_wds_get_current_data_bearer_technology_output_get_last ()
gboolean | qmi_message_wds_get_current_data_bearer_technology_output_get_result ()
gboolean | qmi_message_wds_get_current_data_bearer_technology_output_get_current ()
void | qmi_client_wds_get_current_data_bearer_technology ()
QmiMessageWdsGetCurrentDataBearerTechnologyOutput * | qmi_client_wds_get_current_data_bearer_technology_finish ()

## Types and Values

| QmiMessageWdsGetCurrentDataBearerTechnologyOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageWdsGetCurrentDataBearerTechnologyOutput

## Description

## Functions

### qmi_message_wds_get_current_data_bearer_technology_output_ref ()

    QmiMessageWdsGetCurrentDataBearerTechnologyOutput *
    qmi_message_wds_get_current_data_bearer_technology_output_ref
                                   (QmiMessageWdsGetCurrentDataBearerTechnologyOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetCurrentDataBearerTechnologyOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wds_get_current_data_bearer_technology_output_unref ()

    void
    qmi_message_wds_get_current_data_bearer_technology_output_unref
                                   (QmiMessageWdsGetCurrentDataBearerTechnologyOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetCurrentDataBearerTechnologyOutput. |

Since: 1.0

### qmi_message_wds_get_current_data_bearer_technology_output_get_last ()

    gboolean
    qmi_message_wds_get_current_data_bearer_technology_output_get_last
                                   (QmiMessageWdsGetCurrentDataBearerTechnologyOutput *self,
                                    QmiWdsNetworkType *value_last_network_type,
                                    guint32 *value_last_rat_mask,
                                    guint32 *value_last_so_mask,
                                    GError **error);

Get the 'Last' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentDataBearerTechnologyOutput. |
value_last_network_type | a placeholder for the output QmiWdsNetworkType, or `NULL` if not required. | [out]
value_last_rat_mask | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_last_so_mask | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wds_get_current_data_bearer_technology_output_get_result ()

    gboolean
    qmi_message_wds_get_current_data_bearer_technology_output_get_result
                                   (QmiMessageWdsGetCurrentDataBearerTechnologyOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsGetCurrentDataBearerTechnologyOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_message_wds_get_current_data_bearer_technology_output_get_current ()

    gboolean
    qmi_message_wds_get_current_data_bearer_technology_output_get_current
                                   (QmiMessageWdsGetCurrentDataBearerTechnologyOutput *self,
                                    QmiWdsNetworkType *value_current_network_type,
                                    guint32 *value_current_rat_mask,
                                    guint32 *value_current_so_mask,
                                    GError **error);

Get the 'Current' field from `self` .

#### Parameters

self | a QmiMessageWdsGetCurrentDataBearerTechnologyOutput. |
value_current_network_type | a placeholder for the output QmiWdsNetworkType, or `NULL` if not required. | [out]
value_current_rat_mask | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_current_so_mask | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_client_wds_get_current_data_bearer_technology ()

    void
    qmi_client_wds_get_current_data_bearer_technology
                                   (QmiClientWds *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Current Data Bearer Technology request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_get_current_data_bearer_technology_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wds_get_current_data_bearer_technology_finish ()

    QmiMessageWdsGetCurrentDataBearerTechnologyOutput *
    qmi_client_wds_get_current_data_bearer_technology_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_get_current_data_bearer_technology()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_get_current_data_bearer_technology()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsGetCurrentDataBearerTechnologyOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_get_current_data_bearer_technology_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWdsGetCurrentDataBearerTechnologyOutput

    typedef struct _QmiMessageWdsGetCurrentDataBearerTechnologyOutput QmiMessageWdsGetCurrentDataBearerTechnologyOutput;

The QmiMessageWdsGetCurrentDataBearerTechnologyOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0